//
//  GSPathPen.h
//  GlyphsCore
//
//  Created by Georg Seifert on 16.11.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlyphsCore/GSBasePen.h>

@class GSLayer;
@class GSPath;

@interface GSPathPen : GSBasePen {
	GSLayer *_layer;
	GSPath *_currPath;
	NSAffineTransform *_transform;
}
@property (nonatomic, strong) GSLayer *layer;
@property (nonatomic, strong) NSAffineTransform *transform;
@property (nonatomic) BOOL convertQuadratic2Cubic;

- (instancetype)initWithLayer:(GSLayer *)Layer;
@end
